> ## Documentation Index
> Fetch the complete documentation index at: https://v2.opencode.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List pending question requests

> Retrieve pending question requests for a location.



## OpenAPI

````yaml /openapi.json get /api/question/request
openapi: 3.1.0
info:
  title: opencode HttpApi
  version: 0.0.1
  description: Experimental HttpApi surface for selected instance routes.
servers: []
security: []
tags:
  - name: health
  - name: server
  - name: location
  - name: agent
  - name: plugin
    description: Experimental plugin routes.
  - name: session
    description: Experimental session routes.
  - name: session
    description: Experimental message routes.
  - name: model
    description: Experimental model routes.
  - name: generate
    description: Experimental one-shot generation routes.
  - name: provider
    description: Experimental provider routes.
  - name: integration
    description: Integration discovery and authentication routes.
  - name: mcp
    description: MCP server and resource routes.
  - name: credential
  - name: project
    description: Location-scoped project routes.
  - name: form
    description: Session form routes.
  - name: permission
    description: Experimental permission routes.
  - name: filesystem
    description: Experimental location-scoped filesystem routes.
  - name: command
    description: Experimental command routes.
  - name: skill
    description: Experimental skill routes.
  - name: event
    description: Experimental event stream routes.
  - name: pty
    description: Experimental location-scoped PTY routes.
  - name: shell
    description: Experimental location-scoped shell command routes.
  - name: question
    description: Experimental session question routes.
  - name: reference
    description: Location-scoped project references.
  - name: projectCopy
    description: Project copy management routes.
  - name: vcs
    description: Location-scoped version control routes.
  - name: debug
paths:
  /api/question/request:
    get:
      tags:
        - question
      summary: List pending question requests
      description: Retrieve pending question requests for a location.
      operationId: v2.question.request.list
      parameters:
        - name: location
          in: query
          schema:
            anyOf:
              - type: object
                properties:
                  directory:
                    anyOf:
                      - type: string
                      - type: 'null'
                  workspace:
                    anyOf:
                      - type: string
                      - type: 'null'
                additionalProperties: false
              - type: 'null'
          required: false
          style: deepObject
          explode: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  location:
                    $ref: '#/components/schemas/Location.Info'
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/QuestionV2.Request'
                required:
                  - location
                  - data
                additionalProperties: false
        '400':
          description: InvalidRequestError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidRequestError'
        '401':
          description: UnauthorizedError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
      security: []
components:
  schemas:
    Location.Info:
      type: object
      properties:
        directory:
          type: string
        workspaceID:
          type: string
          allOf:
            - pattern: ^wrk
        project:
          type: object
          properties:
            id:
              type: string
            directory:
              type: string
          required:
            - id
            - directory
          additionalProperties: false
      required:
        - directory
        - project
      additionalProperties: false
    QuestionV2.Request:
      type: object
      properties:
        id:
          type: string
          allOf:
            - pattern: ^que
        sessionID:
          type: string
          allOf:
            - pattern: ^ses
        questions:
          type: array
          items:
            $ref: '#/components/schemas/QuestionV2.Info'
          description: Questions to ask
        tool:
          $ref: '#/components/schemas/QuestionV2.Tool'
      required:
        - id
        - sessionID
        - questions
      additionalProperties: false
    InvalidRequestError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - InvalidRequestError
        message:
          type: string
        kind:
          anyOf:
            - type: string
            - type: 'null'
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnauthorizedError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnauthorizedError
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    QuestionV2.Info:
      type: object
      properties:
        question:
          type: string
          description: Complete question
        header:
          type: string
          description: Very short label (max 30 chars)
        options:
          type: array
          items:
            $ref: '#/components/schemas/QuestionV2.Option'
          description: Available choices
        multiple:
          type: boolean
        custom:
          type: boolean
      required:
        - question
        - header
        - options
      additionalProperties: false
    QuestionV2.Tool:
      type: object
      properties:
        messageID:
          type: string
        callID:
          type: string
      required:
        - messageID
        - callID
      additionalProperties: false
    QuestionV2.Option:
      type: object
      properties:
        label:
          type: string
          description: Display text (1-5 words, concise)
        description:
          type: string
          description: Explanation of choice
      required:
        - label
        - description
      additionalProperties: false

````